(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      5758,        193]
NotebookOptionsPosition[      3424,        118]
NotebookOutlinePosition[      5244,        173]
CellTagsIndexPosition[      5168,        168]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[TextData[{
 "Frequency\[Breve]From\[Breve]Note",
 " ",
 StyleBox["(part of the MusicGenerator package)",
  FontSize->12]
}], "Chapter",
 CellChangeTimes->{{3.4422352966623373`*^9, 3.442235300928472*^9}, {
   3.44731239346875*^9, 3.447312399453125*^9}, {3.447390701375*^9, 
   3.447390712625*^9}, {3.447390810796875*^9, 3.4473908173125*^9}, {
   3.46168794225*^9, 3.46168794684375*^9}, {3.554741414015625*^9, 
   3.554741443359375*^9}, 3.56009459609375*^9},
 CellTags->"DTLocalSymbols"],

Cell[BoxData[
 RowBox[{"Needs", "[", "\"\<MusicGenerator`\>\"", "]"}]], "Input",
 CellChangeTimes->{{3.554741471453125*^9, 3.5547414831875*^9}},
 CellLabel->"In[1]:="],

Cell["\<\
Takes a note string (with optional key) or a MIDI note number, and converts \
it into a note frequency.\
\>", "Text",
 CellChangeTimes->{{3.5601652967109203`*^9, 3.5601653449602995`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Frequency\[Breve]From\[Breve]Note", "[", "\"\<c5\>\"", 
  "]"}]], "Input",
 CellChangeTimes->{{3.560165361494074*^9, 3.5601653670821085`*^9}},
 CellLabel->"In[2]:="],

Cell[BoxData["880.`"], "Output",
 CellChangeTimes->{{3.560165370346803*^9, 3.5601653868204913`*^9}},
 CellLabel->"Out[2]="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Frequency\[Breve]From\[Breve]Note", "[", "\"\<f4\>\"", 
  "]"}]], "Input",
 CellChangeTimes->{{3.5601654118865347`*^9, 3.5601654134187374`*^9}},
 CellLabel->"In[3]:="],

Cell[BoxData["587.3295358348153`"], "Output",
 CellChangeTimes->{3.560165415912323*^9},
 CellLabel->"Out[3]="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Frequency\[Breve]From\[Breve]Note", "[", 
  RowBox[{"\"\<f4\>\"", ",", "\"\<GMaj\>\""}], "]"}]], "Input",
 CellChangeTimes->{{3.5601654118865347`*^9, 3.5601654377136717`*^9}},
 CellLabel->"In[4]:="],

Cell[BoxData["622.2539674441618`"], "Output",
 CellChangeTimes->{3.5601654404676323`*^9},
 CellLabel->"Out[4]="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Frequency\[Breve]From\[Breve]Note", "[", "60", "]"}]], "Input",
 CellChangeTimes->{{3.560165454207389*^9, 3.5601654557896643`*^9}},
 CellLabel->"In[5]:="],

Cell[BoxData["440.`"], "Output",
 CellChangeTimes->{3.5601654572717953`*^9},
 CellLabel->"Out[5]="]
}, Open  ]],

Cell[TextData[{
 "Click",
 Cell[BoxData[
  RowBox[{" ", 
   TagBox[
    ButtonBox[
     PaneSelectorBox[{False->"\<\"here\"\>", True->
      StyleBox["\<\"here\"\>", "HyperlinkActive"]}, Dynamic[
       CurrentValue["MouseOver"]],
      BaseStyle->{"Hyperlink"},
      BaselinePosition->Baseline,
      FrameMargins->0,
      ImageSize->Automatic],
     BaseStyle->"Link",
     ButtonData->"paclet:MusicGenerator",
     ButtonNote->"paclet:MusicGenerator"],
    Annotation[#, "paclet:MusicGenerator", "Hyperlink"]& ]}]]],
 " for general information about the MusicGenerator package"
}], "Text"]
}, Open  ]]
},
Saveable->False,
Selectable->True,
WindowSize->{717, 741},
WindowMargins->{{Automatic, 89}, {Automatic, 47}},
WindowFrame->"Normal",
Visible->True,
DockedCells->FEPrivate`FrontEndResource["FEExpressions", "HelpViewerToolbar"],
PrintingCopies->1,
PrintingPageRange->{Automatic, Automatic},
PageHeaders->{{Inherited, Inherited, 
   Cell[
    TextData[{"The Super Widget Package"}], "PageHeader"]}, {
   Cell[
    TextData[{"The Super Widget Package"}], "PageHeader"], Inherited, 
   Inherited}},
PageFooters->{{Inherited, 
   Cell[
    TextData[{"\[Copyright]2006 David Bailey"}], "PageFooter"], Inherited}, {
  Inherited, 
   Cell[
    TextData[{"\[Copyright]2006 David Bailey"}], "PageFooter"], Inherited}},
PrivateNotebookOptions->{"ShortBoxForm"->False},
ShowCellBracket->True,
ShowSelection->True,
TaggingRules->{
 "ModificationHighlight" -> False, 
  "Metadata" -> {
   "built" -> {2012, 10, 26, 15, 20, 31.03125`9.244374174782003}, "context" -> 
    "MusicGenerator`", "keywords" -> {}, "index" -> True, "label" -> 
    "MusicGenerator Package Paclet Symbol", "language" -> "en", "paclet" -> 
    "MusicGenerator Package", "status" -> "", "summary" -> 
    "Frequency\[Breve]From\[Breve]Note.....", "synonyms" -> {}, "title" -> 
    "Frequency\:02d8From\:02d8Note", "type" -> "Symbol", "uri" -> 
    "MusicGenerator/ref/FrequencyFromNote"}, "SearchTextTranslated" -> ""},
ShowCellLabel->False,
Magnification->1.,
FrontEndVersion->"7.0 for Microsoft Windows (64-bit) (February 18, 2009)",
StyleDefinitions->"HelpBrowser.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "DTLocalSymbols"->{
  Cell[567, 22, 490, 11, 85, "Chapter",
   CellTags->"DTLocalSymbols"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"DTLocalSymbols", 5072, 162}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 490, 11, 85, "Chapter",
 CellTags->"DTLocalSymbols"],
Cell[1060, 35, 167, 3, 27, "Input"],
Cell[1230, 40, 197, 4, 23, "Text"],
Cell[CellGroupData[{
Cell[1452, 48, 189, 4, 27, "Input"],
Cell[1644, 54, 123, 2, 25, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1804, 61, 191, 4, 27, "Input"],
Cell[1998, 67, 110, 2, 25, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2145, 74, 222, 4, 27, "Input"],
Cell[2370, 80, 112, 2, 25, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2519, 87, 178, 3, 27, "Input"],
Cell[2700, 92, 99, 2, 25, "Output"]
}, Open  ]],
Cell[2814, 97, 594, 18, 23, "Text"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

