(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      5603,        171]
NotebookOptionsPosition[      3528,        107]
NotebookOutlinePosition[      5373,        163]
CellTagsIndexPosition[      5297,        158]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[TextData[{
 "Import",
 "\[Breve]MusicXML",
 " ",
 StyleBox["(part of the MusicGenerator package)",
  FontSize->12]
}], "Chapter",
 CellChangeTimes->{{3.4422352966623373`*^9, 3.442235300928472*^9}, {
   3.44731239346875*^9, 3.447312399453125*^9}, {3.447390701375*^9, 
   3.447390712625*^9}, {3.447390810796875*^9, 3.4473908173125*^9}, {
   3.46168794225*^9, 3.46168794684375*^9}, {3.554741414015625*^9, 
   3.554741443359375*^9}, {3.555246790203125*^9, 3.55524679315625*^9}, 
   3.5552616171875*^9, {3.55526366828125*^9, 3.55526367396875*^9}, {
   3.55526448815625*^9, 3.5552644890625*^9}},
 CellTags->"DTLocalSymbols"],

Cell[BoxData[
 RowBox[{"Needs", "[", "\"\<MusicGenerator`\>\"", "]"}]], "Input",
 CellChangeTimes->{{3.554741471453125*^9, 3.5547414831875*^9}},
 CellLabel->"In[1]:="],

Cell[TextData[{
 "Imports music from a musicXML file (as generated by  ",
 ButtonBox["SharpeEye",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.visiv.co.uk/"], None},
  ButtonNote->"http://www.visiv.co.uk/"],
 " or  ",
 ButtonBox["Audiveris",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://audiveris.kenai.com/"], None},
  ButtonNote->"http://audiveris.kenai.com/"],
 " . "
}], "Text",
 CellChangeTimes->{{3.554741530703125*^9, 3.55474156246875*^9}, {
  3.555260674296875*^9, 3.555260717734375*^9}, {3.55526162621875*^9, 
  3.555261629671875*^9}, {3.555263806734375*^9, 3.55526383584375*^9}, {
  3.55526387365625*^9, 3.555263880125*^9}}],

Cell["This imports relative to the default key of C Major", "Text",
 CellChangeTimes->{{3.55526405559375*^9, 3.555264081609375*^9}}],

Cell[BoxData[
 RowBox[{"Import\[Breve]MusicXML", "[", "file", "]"}]], "Input",
 CellChangeTimes->{{3.55526402690625*^9, 3.555264045859375*^9}, 
   3.55526450084375*^9}],

Cell["\<\
This imports relative to a specific key. This places a K directive at the \
start of the string, and uses the corresponding key signature to reduce the \
number of accidentals in the music.\
\>", "Text",
 CellChangeTimes->{{3.55526409821875*^9, 3.55526413021875*^9}, {
  3.555264165265625*^9, 3.555264165609375*^9}, {3.55673158765625*^9, 
  3.556731654546875*^9}}],

Cell[BoxData[
 RowBox[{"Import\[Breve]MusicXML", "[", 
  RowBox[{"file", ",", "\"\<BMaj\>\""}], "]"}]], "Input",
 CellChangeTimes->{{3.555264145109375*^9, 3.55526415896875*^9}, 
   3.55526450321875*^9}],

Cell[TextData[{
 "Click",
 Cell[BoxData[
  RowBox[{" ", 
   TagBox[
    ButtonBox[
     PaneSelectorBox[{False->"\<\"here\"\>", True->
      StyleBox["\<\"here\"\>", "HyperlinkActive"]}, Dynamic[
       CurrentValue["MouseOver"]],
      BaseStyle->{"Hyperlink"},
      BaselinePosition->Baseline,
      FrameMargins->0,
      ImageSize->Automatic],
     BaseStyle->"Link",
     ButtonData->"paclet:MusicGenerator",
     ButtonNote->"paclet:MusicGenerator"],
    Annotation[#, "paclet:MusicGenerator", "Hyperlink"]& ]}]]],
 " for general information about the MusicGenerator package"
}], "Text"]
}, Open  ]]
},
Saveable->False,
Selectable->True,
WindowSize->{717, 741},
WindowMargins->{{Automatic, 177}, {Automatic, 36}},
WindowFrame->"Normal",
Visible->True,
DockedCells->FEPrivate`FrontEndResource["FEExpressions", "HelpViewerToolbar"],
PrintingCopies->1,
PrintingPageRange->{Automatic, Automatic},
PageHeaders->{{Inherited, Inherited, 
   Cell[
    TextData[{"The Super Widget Package"}], "PageHeader"]}, {
   Cell[
    TextData[{"The Super Widget Package"}], "PageHeader"], Inherited, 
   Inherited}},
PageFooters->{{Inherited, 
   Cell[
    TextData[{"\[Copyright]2006 David Bailey"}], "PageFooter"], Inherited}, {
  Inherited, 
   Cell[
    TextData[{"\[Copyright]2006 David Bailey"}], "PageFooter"], Inherited}},
PrivateNotebookOptions->{"ShortBoxForm"->False},
ShowCellBracket->True,
ShowSelection->True,
TaggingRules->{
 "ModificationHighlight" -> False, 
  "Metadata" -> {
   "built" -> {2012, 10, 26, 15, 20, 29.125`9.216840844095659}, "context" -> 
    "MusicGenerator`", "keywords" -> {}, "index" -> True, "label" -> 
    "MusicGenerator Package Paclet Symbol", "language" -> "en", "paclet" -> 
    "MusicGenerator Package", "status" -> "", "summary" -> 
    "Import\[Breve]musicXML[file] \[Dash] Imports an XML file containing \
musicXML", "synonyms" -> {}, "title" -> "Import\:02d8MusicXML", "type" -> 
    "Symbol", "uri" -> "MusicGenerator/ref/ImportMusicXML"}, 
  "SearchTextTranslated" -> ""},
ShowCellLabel->False,
Magnification->1.,
FrontEndVersion->"7.0 for Microsoft Windows (64-bit) (February 18, 2009)",
StyleDefinitions->"HelpBrowser.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "DTLocalSymbols"->{
  Cell[567, 22, 623, 14, 85, "Chapter",
   CellTags->"DTLocalSymbols"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"DTLocalSymbols", 5201, 152}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 623, 14, 85, "Chapter",
 CellTags->"DTLocalSymbols"],
Cell[1193, 38, 167, 3, 27, "Input"],
Cell[1363, 43, 664, 18, 23, "Text"],
Cell[2030, 63, 132, 1, 23, "Text"],
Cell[2165, 66, 168, 3, 27, "Input"],
Cell[2336, 71, 374, 7, 39, "Text"],
Cell[2713, 80, 202, 4, 27, "Input"],
Cell[2918, 86, 594, 18, 23, "Text"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

