(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      8642,        259]
NotebookOptionsPosition[      6274,        186]
NotebookOutlinePosition[      8226,        243]
CellTagsIndexPosition[      8150,        238]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[TextData[{
 "Note",
 "\[Breve]",
 "PatternQ ",
 StyleBox["(part of the MusicGenerator package)",
  FontSize->12]
}], "Chapter",
 CellChangeTimes->{{3.4422352966623373`*^9, 3.442235300928472*^9}, {
   3.44731239346875*^9, 3.447312399453125*^9}, {3.447390701375*^9, 
   3.447390712625*^9}, {3.447390810796875*^9, 3.4473908173125*^9}, {
   3.46168794225*^9, 3.46168794684375*^9}, {3.554741414015625*^9, 
   3.554741443359375*^9}, {3.555246790203125*^9, 3.55524679315625*^9}, 
   3.5552616171875*^9},
 CellTags->"DTLocalSymbols"],

Cell[BoxData[
 RowBox[{"Needs", "[", "\"\<MusicGenerator`\>\"", "]"}]], "Input",
 CellChangeTimes->{{3.554741471453125*^9, 3.5547414831875*^9}},
 CellLabel->"In[1]:="],

Cell["\<\
Tests if a string matches notes (as opposed to rests, directives, etc.) in a \
music expression.\
\>", "Text",
 CellChangeTimes->{{3.554741530703125*^9, 3.55474156246875*^9}, {
  3.555260674296875*^9, 3.555260717734375*^9}, {3.55526162621875*^9, 
  3.555261629671875*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"mexpr", "=", 
  RowBox[{"Render\[Breve]Music", "[", 
   RowBox[{
   "\"\<T160 KGMaj Bar(1) G3h+B3h+D4h+(D5q G4i A4i) A3q+(B4i C5i) Bar(2) \
B3h.+(D5ql G4qs G4qs) \>\"", ",", 
    RowBox[{"\"\<Result\>\"", "->", "\"\<MusicExpression\>\""}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.554741494671875*^9, 3.55474152434375*^9}, {
  3.5551753313131304`*^9, 3.5551753319693804`*^9}, {3.555247489703125*^9, 
  3.55524753153125*^9}, {3.555248081078125*^9, 3.55524808184375*^9}},
 CellLabel->"In[2]:="],

Cell[BoxData[
 RowBox[{"seq", "[", 
  RowBox[{"\<\"T160\"\>", ",", "\<\"KGMaj\"\>", ",", 
   RowBox[{
    RowBox[{"Hold", "[", "Bar", "]"}], "[", "1", "]"}], ",", 
   RowBox[{"par", "[", 
    RowBox[{"\<\"B3h\"\>", ",", "\<\"D4h\"\>", ",", "\<\"G3h\"\>", ",", 
     RowBox[{"seq", "[", 
      RowBox[{"\<\"D5q\"\>", ",", "\<\"G4i\"\>", ",", "\<\"A4i\"\>"}], 
      "]"}]}], "]"}], ",", 
   RowBox[{"par", "[", 
    RowBox[{"\<\"A3q\"\>", ",", 
     RowBox[{"seq", "[", 
      RowBox[{"\<\"B4i\"\>", ",", "\<\"C5i\"\>"}], "]"}]}], "]"}], ",", 
   RowBox[{
    RowBox[{"Hold", "[", "Bar", "]"}], "[", "2", "]"}], ",", 
   RowBox[{"par", "[", 
    RowBox[{"\<\"B3h.\"\>", ",", 
     RowBox[{"seq", "[", 
      RowBox[{"\<\"D5ql\"\>", ",", "\<\"G4qs\"\>", ",", "\<\"G4qs\"\>"}], 
      "]"}]}], "]"}]}], "]"}]], "Output",
 CellChangeTimes->{3.555260600546875*^9, 3.55526157465625*^9},
 CellLabel->"Out[2]="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"seq", "[", 
  RowBox[{"\"\<T160\>\"", ",", "\"\<KGMaj\>\"", ",", 
   RowBox[{
    RowBox[{"Hold", "[", "Bar", "]"}], "[", "1", "]"}], ",", 
   RowBox[{"par", "[", 
    RowBox[{"\"\<B3h\>\"", ",", "\"\<D4h\>\"", ",", "\"\<G3h\>\"", ",", 
     RowBox[{"seq", "[", 
      RowBox[{"\"\<D5q\>\"", ",", "\"\<G4i\>\"", ",", "\"\<A4i\>\""}], 
      "]"}]}], "]"}], ",", 
   RowBox[{"par", "[", 
    RowBox[{"\"\<A3q\>\"", ",", 
     RowBox[{"seq", "[", 
      RowBox[{"\"\<B4i\>\"", ",", "\"\<C5i\>\""}], "]"}]}], "]"}], ",", 
   RowBox[{
    RowBox[{"Hold", "[", "Bar", "]"}], "[", "2", "]"}], ",", 
   RowBox[{"par", "[", 
    RowBox[{"\"\<B3h.\>\"", ",", 
     RowBox[{"seq", "[", 
      RowBox[{"\"\<D5ql\>\"", ",", "\"\<G4qs\>\"", ",", "\"\<G4qs\>\""}], 
      "]"}]}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{3.55526054353125*^9},
 CellLabel->"In[4]:="],

Cell[BoxData[
 RowBox[{"seq", "[", 
  RowBox[{"\<\"T160\"\>", ",", "\<\"KGMaj\"\>", ",", 
   RowBox[{
    RowBox[{"Hold", "[", "Bar", "]"}], "[", "1", "]"}], ",", 
   RowBox[{"par", "[", 
    RowBox[{"\<\"B3h\"\>", ",", "\<\"D4h\"\>", ",", "\<\"G3h\"\>", ",", 
     RowBox[{"seq", "[", 
      RowBox[{"\<\"D5q\"\>", ",", "\<\"G4i\"\>", ",", "\<\"A4i\"\>"}], 
      "]"}]}], "]"}], ",", 
   RowBox[{"par", "[", 
    RowBox[{"\<\"A3q\"\>", ",", 
     RowBox[{"seq", "[", 
      RowBox[{"\<\"B4i\"\>", ",", "\<\"C5i\"\>"}], "]"}]}], "]"}], ",", 
   RowBox[{
    RowBox[{"Hold", "[", "Bar", "]"}], "[", "2", "]"}], ",", 
   RowBox[{"par", "[", 
    RowBox[{"\<\"B3h.\"\>", ",", 
     RowBox[{"seq", "[", 
      RowBox[{"\<\"D5ql\"\>", ",", "\<\"G4qs\"\>", ",", "\<\"G4qs\"\>"}], 
      "]"}]}], "]"}]}], "]"}]], "Output",
 CellChangeTimes->{3.555260543640625*^9},
 CellLabel->"Out[4]="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Cases", "[", 
  RowBox[{"mexpr", ",", 
   RowBox[{"_", "?", "Note\[Breve]StringQ"}], ",", "\[Infinity]"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.5552480930625*^9, 3.555248116671875*^9}, {
  3.55526158421875*^9, 3.55526160590625*^9}},
 CellLabel->"In[4]:="],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"B3h\"\>", ",", "\<\"D4h\"\>", ",", "\<\"G3h\"\>", 
   ",", "\<\"D5q\"\>", ",", "\<\"G4i\"\>", ",", "\<\"A4i\"\>", 
   ",", "\<\"A3q\"\>", ",", "\<\"B4i\"\>", ",", "\<\"C5i\"\>", 
   ",", "\<\"B3h.\"\>", ",", "\<\"D5ql\"\>", ",", "\<\"G4qs\"\>", 
   ",", "\<\"G4qs\"\>"}], "}"}]], "Output",
 CellChangeTimes->{
  3.555248118234375*^9, {3.555260537890625*^9, 3.555260545984375*^9}, 
   3.555260603921875*^9, {3.555261591703125*^9, 3.55526160684375*^9}},
 CellLabel->"Out[4]="]
}, Open  ]],

Cell[TextData[{
 "Click",
 Cell[BoxData[
  RowBox[{" ", 
   TagBox[
    ButtonBox[
     PaneSelectorBox[{False->"\<\"here\"\>", True->
      StyleBox["\<\"here\"\>", "HyperlinkActive"]}, Dynamic[
       CurrentValue["MouseOver"]],
      BaseStyle->{"Hyperlink"},
      BaselinePosition->Baseline,
      FrameMargins->0,
      ImageSize->Automatic],
     BaseStyle->"Link",
     ButtonData->"paclet:MusicGenerator",
     ButtonNote->"paclet:MusicGenerator"],
    Annotation[#, "paclet:MusicGenerator", "Hyperlink"]& ]}]]],
 " for general information about the MusicGenerator package"
}], "Text"]
}, Open  ]]
},
Saveable->False,
Selectable->True,
WindowSize->{717, 741},
WindowMargins->{{Automatic, 177}, {Automatic, 36}},
WindowFrame->"Normal",
Visible->True,
DockedCells->FEPrivate`FrontEndResource["FEExpressions", "HelpViewerToolbar"],
PrintingCopies->1,
PrintingPageRange->{Automatic, Automatic},
PageHeaders->{{Inherited, Inherited, 
   Cell[
    TextData[{"The Super Widget Package"}], "PageHeader"]}, {
   Cell[
    TextData[{"The Super Widget Package"}], "PageHeader"], Inherited, 
   Inherited}},
PageFooters->{{Inherited, 
   Cell[
    TextData[{"\[Copyright]2006 David Bailey"}], "PageFooter"], Inherited}, {
  Inherited, 
   Cell[
    TextData[{"\[Copyright]2006 David Bailey"}], "PageFooter"], Inherited}},
PrivateNotebookOptions->{"ShortBoxForm"->False},
ShowCellBracket->True,
ShowSelection->True,
TaggingRules->{
 "ModificationHighlight" -> False, 
  "Metadata" -> {
   "built" -> {2012, 10, 26, 15, 20, 30.109375`9.231276648005624}, "context" -> 
    "MusicGenerator`", "keywords" -> {}, "index" -> True, "label" -> 
    "MusicGenerator Package Paclet Symbol", "language" -> "en", "paclet" -> 
    "MusicGenerator Package", "status" -> "", "summary" -> 
    "Note\[Breve]StringQ[x]\[Dash] tests a string to determine if it matches \
an actual note (as opposed to a rest or directive) in a music expression. It \
can't be used with a music string", "synonyms" -> {}, "title" -> 
    "Note\:02d8StringQ", "type" -> "Symbol", "uri" -> 
    "MusicGenerator/ref/NoteStringQ"}, "SearchTextTranslated" -> ""},
ShowCellLabel->False,
Magnification->1.,
FrontEndVersion->"7.0 for Microsoft Windows (64-bit) (February 18, 2009)",
StyleDefinitions->"HelpBrowser.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "DTLocalSymbols"->{
  Cell[567, 22, 530, 13, 85, "Chapter",
   CellTags->"DTLocalSymbols"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"DTLocalSymbols", 8054, 232}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 530, 13, 85, "Chapter",
 CellTags->"DTLocalSymbols"],
Cell[1100, 37, 167, 3, 27, "Input"],
Cell[1270, 42, 282, 6, 23, "Text"],
Cell[CellGroupData[{
Cell[1577, 52, 522, 11, 68, "Input"],
Cell[2102, 65, 903, 22, 45, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[3042, 92, 880, 22, 48, "Input"],
Cell[3925, 116, 882, 22, 45, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[4844, 143, 284, 7, 27, "Input"],
Cell[5131, 152, 518, 10, 25, "Output"]
}, Open  ]],
Cell[5664, 165, 594, 18, 23, "Text"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

