(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     16627,        432]
NotebookOptionsPosition[     13327,        336]
NotebookOutlinePosition[     15823,        407]
CellTagsIndexPosition[     15639,        399]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[TextData[{
 "Render\[Breve]Music ",
 StyleBox["(part of the MusicGenerator package)",
  FontSize->12]
}], "Chapter",
 CellChangeTimes->{{3.4422352966623373`*^9, 3.442235300928472*^9}, {
  3.44731239346875*^9, 3.447312399453125*^9}, {3.447390701375*^9, 
  3.447390712625*^9}, {3.447390810796875*^9, 3.4473908173125*^9}, {
  3.46168794225*^9, 3.46168794684375*^9}, {3.554741414015625*^9, 
  3.554741443359375*^9}},
 CellTags->"DTLocalSymbols"],

Cell[BoxData[
 RowBox[{"Needs", "[", "\"\<MusicGenerator`\>\"", "]"}]], "Input",
 CellChangeTimes->{{3.554741471453125*^9, 3.5547414831875*^9}},
 CellLabel->"In[1]:="],

Cell["Plays a music string on the speakers", "Text",
 CellChangeTimes->{{3.554741530703125*^9, 3.55474156246875*^9}}],

Cell[BoxData[
 RowBox[{"\"\<c4q e4q g4q\>\"", "//", "Render\[Breve]Music"}]], "Input",
 CellChangeTimes->{{3.554741494671875*^9, 3.55474152434375*^9}, {
  3.5551753313131304`*^9, 3.5551753319693804`*^9}}],

Cell[BoxData[
 FormBox[
  StyleBox[GridBox[{
     {
      StyleBox["Result", "MR"], Cell["\<\
This option determines what is done with the musical output \[Dash] see below.\
\>"]}
    }], "Text"], TextForm]], "DefinitionBox",
 CellChangeTimes->{{3.444052627015625*^9, 3.444052743328125*^9}, {
  3.5551737962037554`*^9, 3.5551738048912554`*^9}, {3.5551738481725054`*^9, 
  3.5551738924068804`*^9}, {3.5551739604068804`*^9, 3.5551739783287554`*^9}, {
  3.5551740400162554`*^9, 3.5551740524381304`*^9}, {3.5551745143756304`*^9, 
  3.5551745201412554`*^9}, {3.5552416303125*^9, 3.55524163246875*^9}},
 CellTags->{"SuperWidgetFrame", "SuperWidgetDialog"}],

Cell["\<\
Options for the Render\[Breve]Music function\
\>", "Caption",
 CellChangeTimes->{{3.5551742044068804`*^9, 3.5551742250943804`*^9}},
 CellTags->"SuperWidgetButton"],

Cell[BoxData[
 FormBox[
  StyleBox[GridBox[{
     {
      StyleBox["Sound", "MR"], Cell["\<\
This is the default \[Dash] the music string is used to generate sound \
directly on the speakers.\
\>"]},
     {"SoundObject", 
      RowBox[{
      "Generates", " ", "the", " ", "output", " ", "as", " ", "a", " ", 
       "sound", " ", "object", " ", "which", " ", "can", " ", "sit", " ", 
       "in", " ", "a", " ", "notebook", " ", "and", " ", "be", " ", "played", 
       " ", "by", " ", "clicking", " ", "the", " ", "play", " ", 
       RowBox[{"button", ".", " ", "This"}], " ", "form", " ", "can", " ", 
       "also", " ", "be", " ", "exported", " ", "to", " ", "a", " ", "MIDI", 
       " ", "file", " ", "using", " ", 
       RowBox[{"Export", "."}]}]},
     {"MusicExpression", 
      RowBox[{
       RowBox[{
       "Generates", " ", "an", " ", "intermediate", " ", "form", " ", "of", 
        " ", "musical", " ", "expression"}], ",", " ", 
       RowBox[{
       "that", " ", "is", " ", "easier", " ", "to", " ", "manipulate", " ", 
        "than", " ", "the", " ", "string", " ", "form", " ", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
          "which", " ", "optimised", " ", "for", " ", "ease", " ", "of", " ", 
           "manual", " ", "entry"}], ")"}], "."}]}]}]}
    }], "Text"], TextForm]], "DefinitionBox",
 CellChangeTimes->{{3.444052627015625*^9, 3.444052743328125*^9}, {
   3.5551737962037554`*^9, 3.5551738048912554`*^9}, {3.5551738481725054`*^9, 
   3.5551738924068804`*^9}, {3.5551739604068804`*^9, 
   3.5551739783287554`*^9}, {3.5551740400162554`*^9, 
   3.5551740524381304`*^9}, {3.5551745143756304`*^9, 3.5551745829693804`*^9}, 
   3.5551747628756304`*^9, {3.5551748862350054`*^9, 3.5551748956881304`*^9}, {
   3.5551749372506304`*^9, 3.5551751847193804`*^9}, {3.55524163615625*^9, 
   3.555241647390625*^9}, {3.55524246284375*^9, 3.55524246778125*^9}},
 CellTags->{"SuperWidgetFrame", "SuperWidgetDialog"}],

Cell["\<\
Render\[Breve]Music can also process the MusicExpression format:\
\>", "Text",
 CellChangeTimes->{{3.5551752536881304`*^9, 3.5551752955475054`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"tmp", "=", 
  RowBox[{"Render\[Breve]Music", "[", 
   RowBox[{"\"\<c4q d4q e4q f4q g4q a4q b4q c5q\>\"", ",", 
    RowBox[{"\"\<Result\>\"", "->", "\"\<MusicExpression\>\""}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.5551753017506304`*^9, 3.5551754026412554`*^9}, {
  3.5551754708912554`*^9, 3.5551754716100054`*^9}},
 CellLabel->"In[6]:="],

Cell[BoxData[
 RowBox[{"seq", "[", 
  RowBox[{"\<\"c4q\"\>", ",", "\<\"d4q\"\>", ",", "\<\"e4q\"\>", 
   ",", "\<\"f4q\"\>", ",", "\<\"g4q\"\>", ",", "\<\"a4q\"\>", 
   ",", "\<\"b4q\"\>", ",", "\<\"c5q\"\>"}], "]"}]], "Output",
 CellChangeTimes->{3.5551754056725054`*^9, 3.5551754730318804`*^9},
 CellLabel->"Out[6]="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"tmp", "//", "InputForm"}]], "Input",
 CellChangeTimes->{{3.5551754194850054`*^9, 3.5551754240631304`*^9}},
 CellLabel->"In[7]:="],

Cell["seq[\"c4q\", \"d4q\", \"e4q\", \"f4q\", \"g4q\", \"a4q\", \"b4q\", \
\"c5q\"]", "Output",
 CellChangeTimes->{3.5551754247193804`*^9, 3.5551754780787554`*^9},
 CellLabel->"Out[7]//InputForm="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Render\[Breve]Music", "[", 
  RowBox[{"tmp", ",", 
   RowBox[{"\"\<Result\>\"", "->", "\"\<SoundObject\>\""}]}], "]"}]], "Input",
 CellChangeTimes->{{3.5551754287350054`*^9, 3.5551754569693804`*^9}},
 CellLabel->"In[8]:="],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"No. whole notes=\"\>", "\[InvisibleSpace]", "2.`"}],
  SequenceForm["No. whole notes=", 2.],
  Editable->False]], "Print",
 CellChangeTimes->{{3.5551754583756304`*^9, 3.5551754804068804`*^9}},
 CellLabel->"During evaluation of In[8]:="],

Cell[BoxData[
 InterpretationBox[
  GraphicsBox[{
    {GrayLevel[0.9], RectangleBox[{0, 0}, {360, -164}]}, {InsetBox[
      GraphicsBox[
       {RGBColor[0.5, 0, 0.5], 
        StyleBox[{
          RectangleBox[{0., 0.43198696602798653`}, \
{0.475, 0.4438917279327484}], 
          RectangleBox[{0.5, 0.45579648983751037`}, \
{0.975, 0.4677012517422721}], 
          RectangleBox[{1., 0.4796060136470343}, \
{1.475, 0.49151077555179606`}], 
          RectangleBox[{1.5, 0.49151077555179606`}, \
{1.975, 0.5034155374565581}], 
          RectangleBox[{2., 0.5153202993613198}, {2.475, 0.5272250612660818}],
           RectangleBox[{2.5, 0.5391298231708438}, \
{2.975, 0.5510345850756055}], 
          RectangleBox[{3., 0.5629393469803675}, {3.475, 0.5748441088851295}],
           RectangleBox[{3.5, 0.5748441088851295}, \
{3.975, 0.5867488707898912}]},
         Antialiasing->True]},
       AspectRatio->NCache[
         Rational[6, 35], 0.17142857142857143`],
       Background->GrayLevel[1],
       Frame->True,
       FrameStyle->GrayLevel[0.75],
       FrameTicks->False,
       PlotRange->All,
       PlotRangePadding->{Automatic, 0.05}], {180, -35}, 
      ImageScaled[{0.5, 0.5}], {350, 60},
      Background->GrayLevel[0.9]], InsetBox[
      GraphicsBox[
       {GrayLevel[0.6], RectangleBox[{0, 0}]},
       AspectRatio->NCache[
         Rational[6, 35], 0.17142857142857143`],
       Background->GrayLevel[1],
       Frame->True,
       FrameStyle->GrayLevel[0.75],
       FrameTicks->False], {180, -100}, ImageScaled[{0.5, 0.5}], {350, 60},
      Background->GrayLevel[0.9]]}, InsetBox[
     StyleBox[
      TemplateBox[{
       TemplateBox[{"4", "\" s\""}, "Row", 
         DisplayFunction -> (RowBox[{#, "\[InvisibleSpace]", #2}]& ), 
         InterpretationFunction -> (RowBox[{"Row", "[", 
            RowBox[{"{", 
              RowBox[{#, ",", #2}], "}"}], "]"}]& )]},
       "Row",
       DisplayFunction->(#& ),
       InterpretationFunction->(RowBox[{"Row", "[", 
          RowBox[{
            RowBox[{"{", #, "}"}], ",", 
            StyleBox[
            "\" | \"", FontSize -> 14, FontColor -> GrayLevel[0.75], 
             StripOnInput -> False]}], "]"}]& )], "DialogStyle",
      StripOnInput->False], {355, -159}, Scaled[{1, 0}]], 
    TagBox[
     TooltipBox[
      TagBox[{
        {GrayLevel[0.9], RectangleBox[{5, -158}, {29, -135}]}, 
        {GrayLevel[0.3], 
         PolygonBox[
          NCache[{{13, -153}, {13, -140}, {21, Rational[-293, 2]}, {
            13, -153}}, {{13, -153}, {13, -140}, {21, -146.5}, {13, -153}}]]}, 
        {GrayLevel[0.5], 
         StyleBox[
          LineBox[{{5, -158}, {5, -135}, {29, -135}, {29, -158}, {5, -158}}],
          Antialiasing->False]}},
       EventHandlerTag[{"MouseClicked" :> (Sound`EmitMIDI[
            Sound`MIDISequence[{
              Sound`MIDITrack[{
                Sound`MIDIEvent[0, "SetTempo", "Tempo" -> 1000000], 
                Sound`MIDIEvent[
                0, "ProgramCommand", "Channel" -> 0, "Value" -> 0], 
                Sound`MIDIEvent[
                0, "NoteOn", "Note" -> 60, "Channel" -> 0, "Velocity" -> 76], 
                Sound`MIDIEvent[
                1, "NoteOff", "Note" -> 60, "Channel" -> 0, "Velocity" -> 0], 
                Sound`MIDIEvent[
                1, "NoteOn", "Note" -> 62, "Channel" -> 0, "Velocity" -> 76], 
                Sound`MIDIEvent[
                2, "NoteOff", "Note" -> 62, "Channel" -> 0, "Velocity" -> 0], 
                Sound`MIDIEvent[
                2, "NoteOn", "Note" -> 64, "Channel" -> 0, "Velocity" -> 76], 
                Sound`MIDIEvent[
                3, "NoteOff", "Note" -> 64, "Channel" -> 0, "Velocity" -> 0], 
                Sound`MIDIEvent[
                3, "NoteOn", "Note" -> 65, "Channel" -> 0, "Velocity" -> 76], 
                Sound`MIDIEvent[
                4, "NoteOff", "Note" -> 65, "Channel" -> 0, "Velocity" -> 0], 
                Sound`MIDIEvent[
                4, "NoteOn", "Note" -> 67, "Channel" -> 0, "Velocity" -> 76], 
                Sound`MIDIEvent[
                5, "NoteOff", "Note" -> 67, "Channel" -> 0, "Velocity" -> 0], 
                Sound`MIDIEvent[
                5, "NoteOn", "Note" -> 69, "Channel" -> 0, "Velocity" -> 76], 
                Sound`MIDIEvent[
                6, "NoteOff", "Note" -> 69, "Channel" -> 0, "Velocity" -> 0], 
                Sound`MIDIEvent[
                6, "NoteOn", "Note" -> 71, "Channel" -> 0, "Velocity" -> 76], 
                Sound`MIDIEvent[
                7, "NoteOff", "Note" -> 71, "Channel" -> 0, "Velocity" -> 0], 
                Sound`MIDIEvent[
                7, "NoteOn", "Note" -> 72, "Channel" -> 0, "Velocity" -> 76], 
                Sound`MIDIEvent[
                8, "NoteOff", "Note" -> 72, "Channel" -> 0, "Velocity" -> 
                 0]}]}, "DivisionType" -> "PPQ", "Resolution" -> 2]]; 
          Sound`EmitSampledSound[None, "Preemptive"]), PassEventsDown -> 
         Automatic, PassEventsUp -> True}]],
      "\"Play\"",
      LabelStyle->"TextStyling"],
     Annotation[#, "Play", "Tooltip"]& ], 
    TagBox[
     TooltipBox[
      TagBox[{
        {GrayLevel[0.9], RectangleBox[{34, -158}, {58, -135}]}, 
        {GrayLevel[0.3], RectangleBox[{42, -150}, {50, -143}]}, 
        {GrayLevel[0.5], 
         StyleBox[
          LineBox[{{34, -158}, {34, -135}, {58, -135}, {58, -158}, {
           34, -158}}],
          Antialiasing->False]}},
       EventHandlerTag[{"MouseClicked" :> (Sound`EmitSampledSound[
            SampledSoundList[{{0.}}, 8000], "Preemptive"]; Sound`StopMIDI[]), 
         PassEventsDown -> Automatic, PassEventsUp -> True}]],
      "\"Stop\"",
      LabelStyle->"TextStyling"],
     Annotation[#, "Stop", "Tooltip"]& ], 
    {GrayLevel[0.75], 
     StyleBox[LineBox[{{0, 0}, {360, 0}, {360, -164}, {0, -164}, {0, 0}}],
      Antialiasing->False]}},
   ContentSelectable->False,
   ImageSize->250,
   PlotRange->{{0, 360}, {-164, 0}},
   PlotRangePadding->1],
  Sound[{
    SoundNote[0, {0., 0.5}, "Piano", SoundVolume -> 0.6], 
    SoundNote[2, {0.5, 1.}, "Piano", SoundVolume -> 0.6], 
    SoundNote[4, {1., 1.5}, "Piano", SoundVolume -> 0.6], 
    SoundNote[5, {1.5, 2.}, "Piano", SoundVolume -> 0.6], 
    SoundNote[7, {2., 2.5}, "Piano", SoundVolume -> 0.6], 
    SoundNote[9, {2.5, 3.}, "Piano", SoundVolume -> 0.6], 
    SoundNote[11, {3., 3.5}, "Piano", SoundVolume -> 0.6], 
    SoundNote[12, {3.5, 4.}, "Piano", SoundVolume -> 0.6]}]]], "Output",
 CellChangeTimes->{{3.5551754591412554`*^9, 3.5551754805006304`*^9}},
 CellLabel->"Out[8]="]
}, Open  ]],

Cell[TextData[{
 "Click",
 Cell[BoxData[
  RowBox[{" ", 
   TagBox[
    ButtonBox[
     PaneSelectorBox[{False->"\<\"here\"\>", True->
      StyleBox["\<\"here\"\>", "HyperlinkActive"]}, Dynamic[
       CurrentValue["MouseOver"]],
      BaseStyle->{"Hyperlink"},
      BaselinePosition->Baseline,
      FrameMargins->0,
      ImageSize->Automatic],
     BaseStyle->"Link",
     ButtonData->"paclet:MusicGenerator",
     ButtonNote->"paclet:MusicGenerator"],
    Annotation[#, "paclet:MusicGenerator", "Hyperlink"]& ]}]]],
 " for general information about the MusicGenerator package"
}], "Text"]
}, Open  ]]
},
Saveable->False,
Selectable->True,
WindowSize->{717, 741},
WindowMargins->{{Automatic, 89}, {Automatic, 47}},
WindowFrame->"Normal",
Visible->True,
DockedCells->FEPrivate`FrontEndResource["FEExpressions", "HelpViewerToolbar"],
PrintingCopies->1,
PrintingPageRange->{Automatic, Automatic},
PageHeaders->{{Inherited, Inherited, 
   Cell[
    TextData[{"The Super Widget Package"}], "PageHeader"]}, {
   Cell[
    TextData[{"The Super Widget Package"}], "PageHeader"], Inherited, 
   Inherited}},
PageFooters->{{Inherited, 
   Cell[
    TextData[{"\[Copyright]2006 David Bailey"}], "PageFooter"], Inherited}, {
  Inherited, 
   Cell[
    TextData[{"\[Copyright]2006 David Bailey"}], "PageFooter"], Inherited}},
PrivateNotebookOptions->{"ShortBoxForm"->False},
ShowCellBracket->True,
ShowSelection->True,
TaggingRules->{
 "ModificationHighlight" -> False, 
  "Metadata" -> {
   "built" -> {2012, 10, 26, 15, 20, 27.15625`9.186444713645406}, "context" -> 
    "MusicGenerator`", "keywords" -> {}, "index" -> True, "label" -> 
    "MusicGenerator Package Paclet Symbol", "language" -> "en", "paclet" -> 
    "MusicGenerator Package", "status" -> "", "summary" -> 
    "Music\[Breve]Render[music] \[Dash] plays a music string", 
    "synonyms" -> {}, "title" -> "Render\:02d8Music", "type" -> "Symbol", 
    "uri" -> "MusicGenerator/ref/RenderMusic"}, "SearchTextTranslated" -> ""},
ShowCellLabel->False,
Magnification->1.,
FrontEndVersion->"7.0 for Microsoft Windows (64-bit) (February 18, 2009)",
StyleDefinitions->"HelpBrowser.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "DTLocalSymbols"->{
  Cell[567, 22, 446, 10, 85, "Chapter",
   CellTags->"DTLocalSymbols"]},
 "SuperWidgetFrame"->{
  Cell[1513, 47, 650, 13, 42, "DefinitionBox",
   CellTags->{"SuperWidgetFrame", "SuperWidgetDialog"}],
  Cell[2342, 68, 1953, 40, 166, "DefinitionBox",
   CellTags->{"SuperWidgetFrame", "SuperWidgetDialog"}]},
 "SuperWidgetDialog"->{
  Cell[1513, 47, 650, 13, 42, "DefinitionBox",
   CellTags->{"SuperWidgetFrame", "SuperWidgetDialog"}],
  Cell[2342, 68, 1953, 40, 166, "DefinitionBox",
   CellTags->{"SuperWidgetFrame", "SuperWidgetDialog"}]},
 "SuperWidgetButton"->{
  Cell[2166, 62, 173, 4, 15, "Caption",
   CellTags->"SuperWidgetButton"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"DTLocalSymbols", 14974, 380},
 {"SuperWidgetFrame", 15070, 383},
 {"SuperWidgetDialog", 15305, 388},
 {"SuperWidgetButton", 15540, 393}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 446, 10, 85, "Chapter",
 CellTags->"DTLocalSymbols"],
Cell[1016, 34, 167, 3, 27, "Input"],
Cell[1186, 39, 117, 1, 23, "Text"],
Cell[1306, 42, 204, 3, 27, "Input"],
Cell[1513, 47, 650, 13, 42, "DefinitionBox",
 CellTags->{"SuperWidgetFrame", "SuperWidgetDialog"}],
Cell[2166, 62, 173, 4, 15, "Caption",
 CellTags->"SuperWidgetButton"],
Cell[2342, 68, 1953, 40, 166, "DefinitionBox",
 CellTags->{"SuperWidgetFrame", "SuperWidgetDialog"}],
Cell[4298, 110, 158, 3, 23, "Text"],
Cell[CellGroupData[{
Cell[4481, 117, 370, 8, 27, "Input"],
Cell[4854, 127, 319, 6, 25, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[5210, 138, 153, 3, 27, "Input"],
Cell[5366, 143, 197, 3, 25, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[5600, 151, 246, 5, 27, "Input"],
Cell[5849, 158, 285, 6, 21, "Print"],
Cell[6137, 166, 6565, 146, 125, "Output"]
}, Open  ]],
Cell[12717, 315, 594, 18, 23, "Text"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

