(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      6512,        198]
NotebookOptionsPosition[      4357,        130]
NotebookOutlinePosition[      6174,        185]
CellTagsIndexPosition[      6098,        180]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[TextData[{
 "To\[Breve]Music",
 "\[Breve]String",
 " ",
 StyleBox["(part of the MusicGenerator package)",
  FontSize->12]
}], "Chapter",
 CellChangeTimes->{{3.4422352966623373`*^9, 3.442235300928472*^9}, {
  3.44731239346875*^9, 3.447312399453125*^9}, {3.447390701375*^9, 
  3.447390712625*^9}, {3.447390810796875*^9, 3.4473908173125*^9}, {
  3.46168794225*^9, 3.46168794684375*^9}, {3.554741414015625*^9, 
  3.554741443359375*^9}, {3.555241738046875*^9, 3.555241745609375*^9}},
 CellTags->"DTLocalSymbols"],

Cell[BoxData[
 RowBox[{"Needs", "[", "\"\<MusicGenerator`\>\"", "]"}]], "Input",
 CellChangeTimes->{{3.554741471453125*^9, 3.5547414831875*^9}},
 CellLabel->"In[1]:="],

Cell["Converts a music expression into a music string", "Text",
 CellChangeTimes->{{3.554741530703125*^9, 3.55474156246875*^9}, {
  3.55524180959375*^9, 3.5552418226875*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"mexpr", "=", 
  RowBox[{"Render\[Breve]Music", "[", 
   RowBox[{
   "\"\<T160 KGMaj Bar(1) G3h+B3h+D4h+(D5q G4i A4i) A3q+(B4i C5i) Bar(2) \
B3h.+(D5ql G4qs G4qs) \>\"", ",", 
    RowBox[{"\"\<Result\>\"", "->", "\"\<MusicExpression\>\""}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.554741494671875*^9, 3.55474152434375*^9}, {
  3.5551753313131304`*^9, 3.5551753319693804`*^9}, {3.555241864765625*^9, 
  3.55524190871875*^9}},
 CellLabel->"In[2]:="],

Cell[BoxData[
 RowBox[{"seq", "[", 
  RowBox[{"\<\"T160\"\>", ",", "\<\"KGMaj\"\>", ",", 
   RowBox[{
    RowBox[{"Hold", "[", "Bar", "]"}], "[", "1", "]"}], ",", 
   RowBox[{"par", "[", 
    RowBox[{"\<\"B3h\"\>", ",", "\<\"D4h\"\>", ",", "\<\"G3h\"\>", ",", 
     RowBox[{"seq", "[", 
      RowBox[{"\<\"D5q\"\>", ",", "\<\"G4i\"\>", ",", "\<\"A4i\"\>"}], 
      "]"}]}], "]"}], ",", 
   RowBox[{"par", "[", 
    RowBox[{"\<\"A3q\"\>", ",", 
     RowBox[{"seq", "[", 
      RowBox[{"\<\"B4i\"\>", ",", "\<\"C5i\"\>"}], "]"}]}], "]"}], ",", 
   RowBox[{
    RowBox[{"Hold", "[", "Bar", "]"}], "[", "2", "]"}], ",", 
   RowBox[{"par", "[", 
    RowBox[{"\<\"B3h.\"\>", ",", 
     RowBox[{"seq", "[", 
      RowBox[{"\<\"D5ql\"\>", ",", "\<\"G4qs\"\>", ",", "\<\"G4qs\"\>"}], 
      "]"}]}], "]"}]}], "]"}]], "Output",
 CellChangeTimes->{{3.555241909734375*^9, 3.5552419258125*^9}},
 CellLabel->"Out[2]="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"mexpr", "//", "To\[Breve]Music\[Breve]String"}]], "Input",
 CellChangeTimes->{{3.555241931609375*^9, 3.555241952359375*^9}},
 CellLabel->"In[3]:="],

Cell[BoxData["\<\" T160 KGMaj Bar(1) B3h+D4h+G3h+(D5q G4i A4i) A3q+(B4i C5i) \
Bar(2) B3h.+(D5ql G4qs G4qs) \"\>"], "Output",
 CellChangeTimes->{3.555241963515625*^9},
 CellLabel->"Out[3]="]
}, Open  ]],

Cell[TextData[{
 "Music can be represented as a string \[Dash] which is the easiest way to \
enter it from the keyboard \[Dash] and also as a MesicExpression \[Dash] \
which is far more amenable to manipulation within ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 ".\n\nMusic can also be represented as Sound/SoundNote objects, but these \
cannot be back transformed into either of the other two representation."
}], "Text",
 CellChangeTimes->{{3.555242076578125*^9, 3.55524228625*^9}}],

Cell[TextData[{
 "Click",
 Cell[BoxData[
  RowBox[{" ", 
   TagBox[
    ButtonBox[
     PaneSelectorBox[{False->"\<\"here\"\>", True->
      StyleBox["\<\"here\"\>", "HyperlinkActive"]}, Dynamic[
       CurrentValue["MouseOver"]],
      BaseStyle->{"Hyperlink"},
      BaselinePosition->Baseline,
      FrameMargins->0,
      ImageSize->Automatic],
     BaseStyle->"Link",
     ButtonData->"paclet:MusicGenerator",
     ButtonNote->"paclet:MusicGenerator"],
    Annotation[#, "paclet:MusicGenerator", "Hyperlink"]& ]}]]],
 " for general information about the MusicGenerator package"
}], "Text"]
}, Open  ]]
},
Saveable->False,
Selectable->True,
WindowSize->{997, 741},
WindowMargins->{{Automatic, 64}, {35, Automatic}},
WindowFrame->"Normal",
Visible->True,
DockedCells->FEPrivate`FrontEndResource["FEExpressions", "HelpViewerToolbar"],
PrintingCopies->1,
PrintingPageRange->{Automatic, Automatic},
PageHeaders->{{Inherited, Inherited, 
   Cell[
    TextData[{"The Super Widget Package"}], "PageHeader"]}, {
   Cell[
    TextData[{"The Super Widget Package"}], "PageHeader"], Inherited, 
   Inherited}},
PageFooters->{{Inherited, 
   Cell[
    TextData[{"\[Copyright]2006 David Bailey"}], "PageFooter"], Inherited}, {
  Inherited, 
   Cell[
    TextData[{"\[Copyright]2006 David Bailey"}], "PageFooter"], Inherited}},
PrivateNotebookOptions->{"ShortBoxForm"->False},
ShowCellBracket->True,
ShowSelection->True,
TaggingRules->{
 "ModificationHighlight" -> False, 
  "Metadata" -> {
   "built" -> {2012, 10, 26, 15, 20, 28.1875`9.202631472011152}, "context" -> 
    "MusicGenerator`", "keywords" -> {}, "index" -> True, "label" -> 
    "MusicGenerator Package Paclet Symbol", "language" -> "en", "paclet" -> 
    "MusicGenerator Package", "status" -> "", "summary" -> 
    "Converts a music expressio to a music string", "synonyms" -> {}, "title" -> 
    "To\:02d8Music\:02d8String", "type" -> "Symbol", "uri" -> 
    "MusicGenerator/ref/ToMusicString"}, "SearchTextTranslated" -> ""},
ShowCellLabel->False,
Magnification->1.,
FrontEndVersion->"7.0 for Microsoft Windows (64-bit) (February 18, 2009)",
StyleDefinitions->"HelpBrowser.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "DTLocalSymbols"->{
  Cell[567, 22, 512, 12, 85, "Chapter",
   CellTags->"DTLocalSymbols"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"DTLocalSymbols", 6002, 174}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 512, 12, 85, "Chapter",
 CellTags->"DTLocalSymbols"],
Cell[1082, 36, 167, 3, 27, "Input"],
Cell[1252, 41, 174, 2, 23, "Text"],
Cell[CellGroupData[{
Cell[1451, 47, 477, 11, 48, "Input"],
Cell[1931, 60, 904, 22, 45, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2872, 87, 171, 3, 27, "Input"],
Cell[3046, 92, 190, 3, 25, "Output"]
}, Open  ]],
Cell[3251, 98, 493, 9, 87, "Text"],
Cell[3747, 109, 594, 18, 23, "Text"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

