(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      6887,        216]
NotebookOptionsPosition[      4700,        146]
NotebookOutlinePosition[      6476,        201]
CellTagsIndexPosition[      6400,        196]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[TextData[{
 "Various chords ",
 StyleBox["(part of the MusicGenerator package)",
  FontSize->12]
}], "Chapter",
 CellChangeTimes->{{3.4422352966623373`*^9, 3.442235300928472*^9}, {
   3.44731239346875*^9, 3.447312399453125*^9}, {3.447390701375*^9, 
   3.447390712625*^9}, {3.447390810796875*^9, 3.4473908173125*^9}, {
   3.46168794225*^9, 3.46168794684375*^9}, {3.554741414015625*^9, 
   3.554741443359375*^9}, {3.555246790203125*^9, 3.55524679315625*^9}, 
   3.5552616171875*^9, {3.5553434968125*^9, 3.555343497484375*^9}, {
   3.5553436868125*^9, 3.555343687390625*^9}, {3.55659877921875*^9, 
   3.55659878334375*^9}, {3.55662454215625*^9, 3.556624548609375*^9}},
 CellTags->"DTLocalSymbols"],

Cell[BoxData[
 RowBox[{"Needs", "[", "\"\<MusicGenerator`\>\"", "]"}]], "Input",
 CellChangeTimes->{{3.554741471453125*^9, 3.5547414831875*^9}},
 CellLabel->"In[1]:="],

Cell["\<\
There are a set of functions that construct a named chord, placing the \
argument in root position. For example:\
\>", "Text",
 CellChangeTimes->{{3.554741530703125*^9, 3.55474156246875*^9}, {
  3.555260674296875*^9, 3.555260717734375*^9}, {3.55526162621875*^9, 
  3.555261629671875*^9}, {3.555343531015625*^9, 3.55534364359375*^9}, {
  3.55534369165625*^9, 3.55534369209375*^9}, {3.556624561328125*^9, 
  3.5566246245*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\"\<c4q maj(c4q)\>\"", "//", "Render\[Breve]Music"}]], "Input",
 CellChangeTimes->{{3.5565988214375*^9, 3.556598886625*^9}},
 CellLabel->"In[4]:="],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"No. whole notes=\"\>", "\[InvisibleSpace]", "0.25`"}],
  SequenceForm["No. whole notes=", 0.25],
  Editable->False]], "Print",
 CellChangeTimes->{{3.55659886228125*^9, 3.55659889584375*^9}},
 CellLabel->"During evaluation of In[4]:="]
}, Open  ]],

Cell["\<\
The chord expansion can be viewed by examining the SoundNote representation\
\>", "Text",
 CellChangeTimes->{{3.556624647296875*^9, 3.55662467025*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Render\[Breve]Music", "[", 
   RowBox[{"\"\<c4q maj(c4q)\>\"", ",", 
    RowBox[{"\"\<Result\>\"", "->", "\"\<SoundObject\>\""}]}], "]"}], "//", 
  "InputForm"}]], "Input",
 CellChangeTimes->{{3.556624700234375*^9, 3.556624766640625*^9}},
 CellLabel->"In[3]:="],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"No. whole notes=\"\>", "\[InvisibleSpace]", "0.25`"}],
  SequenceForm["No. whole notes=", 0.25],
  Editable->False]], "Print",
 CellChangeTimes->{{3.556624758796875*^9, 3.55662476721875*^9}},
 CellLabel->"During evaluation of In[3]:="],

Cell["\<\
Sound[{SoundNote[0, {0., 0.5}, \"Piano\", SoundVolume -> 0.6], 
  SoundNote[0, {0.5, 1.}, \"Piano\", SoundVolume -> 0.6], 
  SoundNote[4, {0.5, 1.}, \"Piano\", SoundVolume -> 0.6], 
  SoundNote[7, {0.5, 1.}, \"Piano\", SoundVolume -> 0.6]}]\
\>", "Output",
 CellChangeTimes->{{3.556624760046875*^9, 3.556624767296875*^9}},
 CellLabel->"Out[3]//InputForm="]
}, Open  ]],

Cell["\<\
The following chord functions are avaiable:
add9\t\tadd9
dim7\t\tdiminished 7th
min9\t\tminor 9th
maj9 \t\tmajor 9th
dom9\t\tdominant 9th
min6\t\tminor 6th
maj6\t\tmajor 6th
sus2\t\tsuspended 2nd
sus4\t\tsuspended 4th
min7\t\tminor 7th
maj7\t\tmajor 7th
dom7\t\tdominant 7th
dim\t\tdiminished
aug\t\taugmented
min\t\tminor
maj\t\tmajor\
\>", "Text",
 CellChangeTimes->{{3.556624785953125*^9, 3.55662479378125*^9}, {
  3.55662484909375*^9, 3.556624872265625*^9}, {3.556624996078125*^9, 
  3.556625055046875*^9}, {3.55662508559375*^9, 3.5566253166875*^9}}],

Cell[TextData[{
 "Click",
 Cell[BoxData[
  RowBox[{" ", 
   TagBox[
    ButtonBox[
     PaneSelectorBox[{False->"\<\"here\"\>", True->
      StyleBox["\<\"here\"\>", "HyperlinkActive"]}, Dynamic[
       CurrentValue["MouseOver"]],
      BaseStyle->{"Hyperlink"},
      BaselinePosition->Baseline,
      FrameMargins->0,
      ImageSize->Automatic],
     BaseStyle->"Link",
     ButtonData->"paclet:MusicGenerator",
     ButtonNote->"paclet:MusicGenerator"],
    Annotation[#, "paclet:MusicGenerator", "Hyperlink"]& ]}]]],
 " for general information about the MusicGenerator package"
}], "Text"]
}, Open  ]]
},
Saveable->False,
Selectable->True,
WindowSize->{717, 741},
WindowMargins->{{Automatic, 205}, {Automatic, 61}},
WindowFrame->"Normal",
Visible->True,
DockedCells->FEPrivate`FrontEndResource["FEExpressions", "HelpViewerToolbar"],
PrintingCopies->1,
PrintingPageRange->{Automatic, Automatic},
PageHeaders->{{Inherited, Inherited, 
   Cell[
    TextData[{"The Super Widget Package"}], "PageHeader"]}, {
   Cell[
    TextData[{"The Super Widget Package"}], "PageHeader"], Inherited, 
   Inherited}},
PageFooters->{{Inherited, 
   Cell[
    TextData[{"\[Copyright]2006 David Bailey"}], "PageFooter"], Inherited}, {
  Inherited, 
   Cell[
    TextData[{"\[Copyright]2006 David Bailey"}], "PageFooter"], Inherited}},
PrivateNotebookOptions->{"ShortBoxForm"->False},
ShowCellBracket->True,
ShowSelection->True,
TaggingRules->{
 "ModificationHighlight" -> False, 
  "Metadata" -> {
   "built" -> {2012, 10, 26, 15, 20, 45.0625`9.406390148484627}, "context" -> 
    "MusicGenerator`", "keywords" -> {}, "index" -> True, "label" -> 
    "MusicGenerator Package Paclet Symbol", "language" -> "en", "paclet" -> 
    "MusicGenerator Package", "status" -> "", "summary" -> 
    "Part of the MusicGenerator package", "synonyms" -> {}, "title" -> "dom7",
     "type" -> "Symbol", "uri" -> "MusicGenerator/ref/dom7"}, 
  "SearchTextTranslated" -> ""},
ShowCellLabel->False,
Magnification->1.,
FrontEndVersion->"7.0 for Microsoft Windows (64-bit) (February 18, 2009)",
StyleDefinitions->"HelpBrowser.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "DTLocalSymbols"->{
  Cell[567, 22, 699, 13, 85, "Chapter",
   CellTags->"DTLocalSymbols"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"DTLocalSymbols", 6304, 190}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 699, 13, 85, "Chapter",
 CellTags->"DTLocalSymbols"],
Cell[1269, 37, 167, 3, 27, "Input"],
Cell[1439, 42, 434, 8, 23, "Text"],
Cell[CellGroupData[{
Cell[1898, 54, 171, 3, 27, "Input"],
Cell[2072, 59, 283, 6, 21, "Print"]
}, Open  ]],
Cell[2370, 68, 161, 3, 23, "Text"],
Cell[CellGroupData[{
Cell[2556, 75, 296, 7, 27, "Input"],
Cell[2855, 84, 284, 6, 21, "Print"],
Cell[3142, 92, 366, 7, 82, "Output"]
}, Open  ]],
Cell[3523, 102, 564, 21, 407, "Text"],
Cell[4090, 125, 594, 18, 23, "Text"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

