(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      5850,        174]
NotebookOptionsPosition[      3867,        111]
NotebookOutlinePosition[      5657,        166]
CellTagsIndexPosition[      5581,        161]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[TextData[{
 "par ",
 StyleBox["(part of the MusicGenerator package)",
  FontSize->12]
}], "Chapter",
 CellChangeTimes->{{3.4422352966623373`*^9, 3.442235300928472*^9}, {
   3.44731239346875*^9, 3.447312399453125*^9}, {3.447390701375*^9, 
   3.447390712625*^9}, {3.447390810796875*^9, 3.4473908173125*^9}, {
   3.46168794225*^9, 3.46168794684375*^9}, {3.554741414015625*^9, 
   3.554741443359375*^9}, {3.555246790203125*^9, 3.55524679315625*^9}, 
   3.5552616171875*^9, {3.5553434968125*^9, 3.555343497484375*^9}},
 CellTags->"DTLocalSymbols"],

Cell[BoxData[
 RowBox[{"Needs", "[", "\"\<MusicGenerator`\>\"", "]"}]], "Input",
 CellChangeTimes->{{3.554741471453125*^9, 3.5547414831875*^9}},
 CellLabel->"In[1]:="],

Cell["\<\
The par construct does not itself evaluate, but it represents two or more \
notes that are to be played simultaneously. These constructs are found in \
Music Expressions, and correpond to things joined by the \[OpenCurlyQuote]+\
\[OpenCurlyQuote] symbol in music strings.\
\>", "Text",
 CellChangeTimes->{{3.554741530703125*^9, 3.55474156246875*^9}, {
  3.555260674296875*^9, 3.555260717734375*^9}, {3.55526162621875*^9, 
  3.555261629671875*^9}, {3.555343531015625*^9, 3.55534364359375*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"mexpr", "=", 
  RowBox[{"Render\[Breve]Music", "[", 
   RowBox[{
   "\"\<T160 KGMaj Bar(1) G3h+B3h+D4h+(D5q G4i A4i) A3q+(B4i C5i) Bar(2) \
B3h.+(D5ql G4qs G4qs) \>\"", ",", 
    RowBox[{"\"\<Result\>\"", "->", "\"\<MusicExpression\>\""}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.554741494671875*^9, 3.55474152434375*^9}, {
  3.5551753313131304`*^9, 3.5551753319693804`*^9}, {3.555247489703125*^9, 
  3.55524753153125*^9}, {3.555248081078125*^9, 3.55524808184375*^9}},
 CellLabel->"In[2]:="],

Cell[BoxData[
 RowBox[{"seq", "[", 
  RowBox[{"\<\"T160\"\>", ",", "\<\"KGMaj\"\>", ",", 
   RowBox[{
    RowBox[{"Hold", "[", "Bar", "]"}], "[", "1", "]"}], ",", 
   RowBox[{"par", "[", 
    RowBox[{"\<\"B3h\"\>", ",", "\<\"D4h\"\>", ",", "\<\"G3h\"\>", ",", 
     RowBox[{"seq", "[", 
      RowBox[{"\<\"D5q\"\>", ",", "\<\"G4i\"\>", ",", "\<\"A4i\"\>"}], 
      "]"}]}], "]"}], ",", 
   RowBox[{"par", "[", 
    RowBox[{"\<\"A3q\"\>", ",", 
     RowBox[{"seq", "[", 
      RowBox[{"\<\"B4i\"\>", ",", "\<\"C5i\"\>"}], "]"}]}], "]"}], ",", 
   RowBox[{
    RowBox[{"Hold", "[", "Bar", "]"}], "[", "2", "]"}], ",", 
   RowBox[{"par", "[", 
    RowBox[{"\<\"B3h.\"\>", ",", 
     RowBox[{"seq", "[", 
      RowBox[{"\<\"D5ql\"\>", ",", "\<\"G4qs\"\>", ",", "\<\"G4qs\"\>"}], 
      "]"}]}], "]"}]}], "]"}]], "Output",
 CellChangeTimes->{3.555260600546875*^9, 3.55526157465625*^9},
 CellLabel->"Out[2]="]
}, Open  ]],

Cell[TextData[{
 "Click",
 Cell[BoxData[
  RowBox[{" ", 
   TagBox[
    ButtonBox[
     PaneSelectorBox[{False->"\<\"here\"\>", True->
      StyleBox["\<\"here\"\>", "HyperlinkActive"]}, Dynamic[
       CurrentValue["MouseOver"]],
      BaseStyle->{"Hyperlink"},
      BaselinePosition->Baseline,
      FrameMargins->0,
      ImageSize->Automatic],
     BaseStyle->"Link",
     ButtonData->"paclet:MusicGenerator",
     ButtonNote->"paclet:MusicGenerator"],
    Annotation[#, "paclet:MusicGenerator", "Hyperlink"]& ]}]]],
 " for general information about the MusicGenerator package"
}], "Text"]
}, Open  ]]
},
Saveable->False,
Selectable->True,
WindowSize->{717, 741},
WindowMargins->{{Automatic, 177}, {Automatic, 36}},
WindowFrame->"Normal",
Visible->True,
DockedCells->FEPrivate`FrontEndResource["FEExpressions", "HelpViewerToolbar"],
PrintingCopies->1,
PrintingPageRange->{Automatic, Automatic},
PageHeaders->{{Inherited, Inherited, 
   Cell[
    TextData[{"The Super Widget Package"}], "PageHeader"]}, {
   Cell[
    TextData[{"The Super Widget Package"}], "PageHeader"], Inherited, 
   Inherited}},
PageFooters->{{Inherited, 
   Cell[
    TextData[{"\[Copyright]2006 David Bailey"}], "PageFooter"], Inherited}, {
  Inherited, 
   Cell[
    TextData[{"\[Copyright]2006 David Bailey"}], "PageFooter"], Inherited}},
PrivateNotebookOptions->{"ShortBoxForm"->False},
ShowCellBracket->True,
ShowSelection->True,
TaggingRules->{
 "ModificationHighlight" -> False, 
  "Metadata" -> {
   "built" -> {2012, 10, 26, 15, 20, 32.9375`9.270265534435627}, "context" -> 
    "MusicGenerator`", "keywords" -> {}, "index" -> True, "label" -> 
    "MusicGenerator Package Paclet Symbol", "language" -> "en", "paclet" -> 
    "MusicGenerator Package", "status" -> "", "summary" -> 
    "Represents two or more notes to be played together", "synonyms" -> {}, 
    "title" -> "par", "type" -> "Symbol", "uri" -> "MusicGenerator/ref/par"}, 
  "SearchTextTranslated" -> ""},
ShowCellLabel->False,
Magnification->1.,
FrontEndVersion->"7.0 for Microsoft Windows (64-bit) (February 18, 2009)",
StyleDefinitions->"HelpBrowser.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "DTLocalSymbols"->{
  Cell[567, 22, 547, 11, 85, "Chapter",
   CellTags->"DTLocalSymbols"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"DTLocalSymbols", 5485, 155}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 547, 11, 85, "Chapter",
 CellTags->"DTLocalSymbols"],
Cell[1117, 35, 167, 3, 27, "Input"],
Cell[1287, 40, 502, 8, 39, "Text"],
Cell[CellGroupData[{
Cell[1814, 52, 522, 11, 68, "Input"],
Cell[2339, 65, 903, 22, 45, "Output"]
}, Open  ]],
Cell[3257, 90, 594, 18, 23, "Text"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

