(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[      9463,        296]
NotebookOptionsPosition[      6974,        217]
NotebookOutlinePosition[      8868,        274]
CellTagsIndexPosition[      8787,        269]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["MatrixForm \[Dash] additional help", "Chapter",
 CellChangeTimes->{{3.4422352966623373`*^9, 3.442235300928472*^9}, {
   3.44731239346875*^9, 3.447312399453125*^9}, {3.447390701375*^9, 
   3.447390712625*^9}, {3.447390810796875*^9, 3.4473908173125*^9}, {
   3.4523472274375*^9, 3.452347231625*^9}, {3.4996253268141565`*^9, 
   3.4996253368297815`*^9}, {3.4996255731735315`*^9, 3.4996255813610315`*^9}, 
   3.499889488421875*^9, 3.50018953578125*^9, {3.500308735703125*^9, 
   3.500308736359375*^9}, {3.5003974425*^9, 3.500397445609375*^9}, {
   3.50451034953125*^9, 3.504510361046875*^9}},
 CellTags->"Define\[Breve]Macro"],

Cell[TextData[{
 StyleBox["Author :",
  FontWeight->"Bold"],
 " ",
 ButtonBox["David Bailey",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.dbaileyconsultancy.co.uk"], None},
  ButtonNote->"http://www.dbaileyconsultancy.co.uk"]
}], "Text",
 CellChangeTimes->{{3.50453037203125*^9, 3.504530387828125*^9}, {
  3.504530423171875*^9, 3.504530423171875*^9}}],

Cell["\<\
MatrixForm should only be applied to expressions that are meant for display \
only. For example:\
\>", "Text",
 CellChangeTimes->{{3.504510377*^9, 3.504510508359375*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"mat", "=", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"3", ",", "4"}], "}"}]}], "}"}], "//", "MatrixForm", "  ", 
   RowBox[{"(*", " ", 
    RowBox[{"Deliberate", " ", "error"}], " ", "*)"}]}]}]], "Input",
 CellChangeTimes->{{3.50451051909375*^9, 3.50451055640625*^9}},
 CellLabel->"In[1]:="],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "2"},
     {"3", "4"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.504510559671875*^9},
 CellLabel->"Out[1]//MatrixForm="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"mat", "[", 
  RowBox[{"[", 
   RowBox[{"2", ",", "2"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.504510567078125*^9, 3.504510585609375*^9}},
 CellLabel->"In[3]:="],

Cell[BoxData[
 RowBox[{
  RowBox[{"Part", "::", "\<\"partw\"\>"}], 
  RowBox[{
  ":", " "}], "\<\"\\!\\(\\*StyleBox[\\\"\\\\\\\"Part \\\\\\\"\\\", \
\\\"MT\\\"]\\)\[NoBreak]\\!\\(\\*StyleBox[\\!\\(2\\), \
\\\"MT\\\"]\\)\[NoBreak]\\!\\(\\*StyleBox[\\\"\\\\\\\" of \\\\\\\"\\\", \
\\\"MT\\\"]\\)\[NoBreak]\\!\\(\\*StyleBox[\\!\\(\\*TagBox[\\((\[NoBreak] \
\\*GridBox[{{\\\"1\\\", \\\"2\\\"}, {\\\"3\\\", \\\"4\\\"}}, RowSpacings -> \
1, ColumnSpacings -> 1, RowAlignments -> Baseline, ColumnAlignments -> \
Center] \[NoBreak])\\), Function[BoxForm`e$, MatrixForm[BoxForm`e$]]]\\), \
\\\"MT\\\"]\\)\[NoBreak]\\!\\(\\*StyleBox[\\\"\\\\\\\" does not \
exist.\\\\\\\"\\\", \\\"MT\\\"]\\) \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/General/partw\\\", \
ButtonNote -> \\\"Part::partw\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.504510587703125*^9},
 CellLabel->"During evaluation of In[3]:="],

Cell[BoxData[
 RowBox[{
  TagBox[
   RowBox[{"(", "\[NoBreak]", GridBox[{
      {"1", "2"},
      {"3", "4"}
     },
     GridBoxAlignment->{
      "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}},
        "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.7]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
   Function[BoxForm`e$, 
    MatrixForm[BoxForm`e$]]], "\[LeftDoubleBracket]", 
  RowBox[{"2", ",", "2"}], "\[RightDoubleBracket]"}]], "Output",
 CellChangeTimes->{{3.504510574125*^9, 3.50451058771875*^9}},
 CellLabel->"Out[3]="]
}, Open  ]],

Cell["\<\
This can be understood by looking at the FullForm of the expression contained \
in mat:\
\>", "Text",
 CellChangeTimes->{{3.50451060409375*^9, 3.5045106279375*^9}, {
  3.5045107578125*^9, 3.504510765890625*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"mat", "//", "FullForm"}]], "Input",
 CellChangeTimes->{{3.504510633015625*^9, 3.5045106396875*^9}},
 CellLabel->"In[4]:="],

Cell[BoxData[
 TagBox[
  StyleBox[
   RowBox[{"MatrixForm", "[", 
    RowBox[{"List", "[", 
     RowBox[{
      RowBox[{"List", "[", 
       RowBox[{"1", ",", "2"}], "]"}], ",", 
      RowBox[{"List", "[", 
       RowBox[{"3", ",", "4"}], "]"}]}], "]"}], "]"}],
   ShowSpecialCharacters->False,
   ShowStringCharacters->True,
   NumberMarks->True],
  FullForm]], "Output",
 CellChangeTimes->{3.504510641296875*^9},
 CellLabel->"Out[4]//FullForm="]
}, Open  ]],

Cell["\<\
This problem can be avoided by splitting the above into two steps:\
\>", "Text",
 CellChangeTimes->{{3.5045106701875*^9, 3.5045107178125*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"mat", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"3", ",", "4"}], "}"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"mat", "//", "MatrixForm"}]}], "Input",
 CellChangeTimes->{{3.504510701609375*^9, 3.5045107105625*^9}},
 CellLabel->"In[5]:="],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "2"},
     {"3", "4"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.504510712359375*^9},
 CellLabel->"Out[6]//MatrixForm="]
}, Open  ]]
}, Open  ]]
},
Saveable->True,
Selectable->True,
WindowSize->{717, 741},
WindowMargins->{{Automatic, 53}, {Automatic, 69}},
WindowFrame->"Normal",
Visible->True,
DockedCells->FEPrivate`FrontEndResource["FEExpressions", "HelpViewerToolbar"],
PrintingCopies->1,
PrintingPageRange->{Automatic, Automatic},
PageHeaders->{{Inherited, Inherited, 
   Cell[
    TextData[{"The Super Widget Package"}], "PageHeader"]}, {
   Cell[
    TextData[{"The Super Widget Package"}], "PageHeader"], Inherited, 
   Inherited}},
PageFooters->{{Inherited, 
   Cell[
    TextData[{"\[Copyright]2006 David Bailey"}], "PageFooter"], Inherited}, {
  Inherited, 
   Cell[
    TextData[{"\[Copyright]2006 David Bailey"}], "PageFooter"], Inherited}},
PrivateNotebookOptions->{"ShortBoxForm"->False},
ShowCellBracket->True,
ShowSelection->True,
TaggingRules->{
 "ModificationHighlight" -> False, 
  "Metadata" -> {
   "context" -> "DebugTrace`", "keywords" -> {}, "index" -> True, "label" -> 
    "DebugTrace Package Paclet Symbol", "language" -> "en", "paclet" -> 
    "DebugTrace Package", "status" -> "", "summary" -> 
    "DTLocalValue[n] \[Dash] Returns the value of the most recently created \
local variable of the form n$<number>", "synonyms" -> {}, "title" -> 
    "DTLocalValue", "type" -> "Symbol", "uri" -> 
    "DebugTrace/ref/DTLocalValue"}, "SearchTextTranslated" -> "", 
  "SearchText" -> "", "LinkTrails" -> ""},
ShowCellLabel->False,
PrivateNotebookOptions -> {"NotebookAuthor" -> ""},
Magnification->1.,
FrontEndVersion->"7.0 for Microsoft Windows (64-bit) (February 18, 2009)",
StyleDefinitions->"HelpBrowser.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "Define\[Breve]Macro"->{
  Cell[579, 22, 628, 9, 85, "Chapter",
   CellTags->"Define\[Breve]Macro"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"Define\[Breve]Macro", 8687, 263}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[579, 22, 628, 9, 85, "Chapter",
 CellTags->"Define\[Breve]Macro"],
Cell[1210, 33, 369, 11, 23, "Text"],
Cell[1582, 46, 180, 4, 23, "Text"],
Cell[CellGroupData[{
Cell[1787, 54, 411, 12, 27, "Input"],
Cell[2201, 68, 662, 19, 38, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2900, 92, 192, 5, 27, "Input"],
Cell[3095, 99, 983, 17, 34, "Message"],
Cell[4081, 118, 776, 21, 38, "Output"]
}, Open  ]],
Cell[4872, 142, 221, 5, 23, "Text"],
Cell[CellGroupData[{
Cell[5118, 151, 146, 3, 27, "Input"],
Cell[5267, 156, 447, 15, 25, "Output"]
}, Open  ]],
Cell[5729, 174, 152, 3, 23, "Text"],
Cell[CellGroupData[{
Cell[5906, 181, 375, 11, 48, "Input"],
Cell[6284, 194, 662, 19, 38, "Output"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
