(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[      9472,        298]
NotebookOptionsPosition[      6980,        219]
NotebookOutlinePosition[      8875,        276]
CellTagsIndexPosition[      8794,        271]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["TableForm \[Dash] additional help", "Chapter",
 CellChangeTimes->{{3.4422352966623373`*^9, 3.442235300928472*^9}, {
   3.44731239346875*^9, 3.447312399453125*^9}, {3.447390701375*^9, 
   3.447390712625*^9}, {3.447390810796875*^9, 3.4473908173125*^9}, {
   3.4523472274375*^9, 3.452347231625*^9}, {3.4996253268141565`*^9, 
   3.4996253368297815`*^9}, {3.4996255731735315`*^9, 3.4996255813610315`*^9}, 
   3.499889488421875*^9, 3.50018953578125*^9, {3.500308735703125*^9, 
   3.500308736359375*^9}, {3.5003974425*^9, 3.500397445609375*^9}, {
   3.50451034953125*^9, 3.504510361046875*^9}, {3.504511482390625*^9, 
   3.504511486359375*^9}},
 CellTags->"Define\[Breve]Macro"],

Cell[TextData[{
 StyleBox["Author :",
  FontWeight->"Bold"],
 " ",
 ButtonBox["David Bailey",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.dbaileyconsultancy.co.uk"], None},
  ButtonNote->"http://www.dbaileyconsultancy.co.uk"]
}], "Text",
 CellChangeTimes->{{3.50453037203125*^9, 3.504530387828125*^9}, {
  3.504530423171875*^9, 3.504530423171875*^9}}],

Cell["\<\
TableForm should only be applied to expressions that are meant for display \
only. For example:\
\>", "Text",
 CellChangeTimes->{{3.504510377*^9, 3.504510508359375*^9}, 
   3.50451149403125*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"mat", "=", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"3", ",", "4"}], "}"}]}], "}"}], "//", "TableForm", "  ", 
   RowBox[{"(*", " ", 
    RowBox[{"Deliberate", " ", "error"}], " ", "*)"}]}]}]], "Input",
 CellChangeTimes->{{3.50451051909375*^9, 3.50451055640625*^9}, {
  3.504511498921875*^9, 3.504511507828125*^9}},
 CellLabel->"In[1]:="],

Cell[BoxData[
 TagBox[GridBox[{
    {"1", "2"},
    {"3", "4"}
   },
   GridBoxAlignment->{
    "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
     "RowsIndexed" -> {}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[0.7]}, 
       Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}, "RowsIndexed" -> {}}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.504510559671875*^9, 3.50451151046875*^9},
 CellLabel->"Out[1]//TableForm="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"mat", "[", 
  RowBox[{"[", 
   RowBox[{"2", ",", "2"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.504510567078125*^9, 3.504510585609375*^9}},
 CellLabel->"In[2]:="],

Cell[BoxData[
 RowBox[{
  RowBox[{"Part", "::", "\<\"partw\"\>"}], 
  RowBox[{
  ":", " "}], "\<\"\\!\\(\\*StyleBox[\\\"\\\\\\\"Part \\\\\\\"\\\", \
\\\"MT\\\"]\\)\[NoBreak]\\!\\(\\*StyleBox[\\!\\(2\\), \
\\\"MT\\\"]\\)\[NoBreak]\\!\\(\\*StyleBox[\\\"\\\\\\\" of \\\\\\\"\\\", \
\\\"MT\\\"]\\)\[NoBreak]\\!\\(\\*StyleBox[\\!\\(\\*TagBox[GridBox[{{\\\"1\\\",\
 \\\"2\\\"}, {\\\"3\\\", \\\"4\\\"}}, RowSpacings -> 1, ColumnSpacings -> 1, \
RowAlignments -> Baseline, ColumnAlignments -> Left], Function[BoxForm`e$, \
TableForm[BoxForm`e$]]]\\), \
\\\"MT\\\"]\\)\[NoBreak]\\!\\(\\*StyleBox[\\\"\\\\\\\" does not \
exist.\\\\\\\"\\\", \\\"MT\\\"]\\) \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/General/partw\\\", \
ButtonNote -> \\\"Part::partw\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.504510587703125*^9, 3.50451151575*^9},
 CellLabel->"During evaluation of In[2]:="],

Cell[BoxData[
 RowBox[{
  TagBox[GridBox[{
     {"1", "2"},
     {"3", "4"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}],
   Function[BoxForm`e$, 
    TableForm[BoxForm`e$]]], "\[LeftDoubleBracket]", 
  RowBox[{"2", ",", "2"}], "\[RightDoubleBracket]"}]], "Output",
 CellChangeTimes->{{3.504510574125*^9, 3.50451058771875*^9}, 
   3.504511515765625*^9},
 CellLabel->"Out[2]="]
}, Open  ]],

Cell["\<\
This can be understood by looking at the FullForm of the expression contained \
in mat:\
\>", "Text",
 CellChangeTimes->{{3.50451060409375*^9, 3.5045106279375*^9}, {
  3.5045107578125*^9, 3.504510765890625*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"mat", "//", "FullForm"}]], "Input",
 CellChangeTimes->{{3.504510633015625*^9, 3.5045106396875*^9}},
 CellLabel->"In[3]:="],

Cell[BoxData[
 TagBox[
  StyleBox[
   RowBox[{"TableForm", "[", 
    RowBox[{"List", "[", 
     RowBox[{
      RowBox[{"List", "[", 
       RowBox[{"1", ",", "2"}], "]"}], ",", 
      RowBox[{"List", "[", 
       RowBox[{"3", ",", "4"}], "]"}]}], "]"}], "]"}],
   ShowSpecialCharacters->False,
   ShowStringCharacters->True,
   NumberMarks->True],
  FullForm]], "Output",
 CellChangeTimes->{3.504510641296875*^9, 3.5045115239375*^9},
 CellLabel->"Out[3]//FullForm="]
}, Open  ]],

Cell["\<\
This problem can be avoided by splitting the above into two steps:\
\>", "Text",
 CellChangeTimes->{{3.5045106701875*^9, 3.5045107178125*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"mat", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"3", ",", "4"}], "}"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"mat", "//", "TableForm"}]}], "Input",
 CellChangeTimes->{{3.504510701609375*^9, 3.5045107105625*^9}, 
   3.5045115335*^9},
 CellLabel->"In[4]:="],

Cell[BoxData[
 TagBox[GridBox[{
    {"1", "2"},
    {"3", "4"}
   },
   GridBoxAlignment->{
    "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
     "RowsIndexed" -> {}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[0.7]}, 
       Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}, "RowsIndexed" -> {}}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.504510712359375*^9, 3.50451153440625*^9},
 CellLabel->"Out[5]//TableForm="]
}, Open  ]]
}, Open  ]]
},
Saveable->True,
Selectable->True,
WindowSize->{717, 741},
WindowMargins->{{Automatic, 53}, {Automatic, 69}},
WindowFrame->"Normal",
Visible->True,
DockedCells->FEPrivate`FrontEndResource["FEExpressions", "HelpViewerToolbar"],
PrintingCopies->1,
PrintingPageRange->{Automatic, Automatic},
PageHeaders->{{Inherited, Inherited, 
   Cell[
    TextData[{"The Super Widget Package"}], "PageHeader"]}, {
   Cell[
    TextData[{"The Super Widget Package"}], "PageHeader"], Inherited, 
   Inherited}},
PageFooters->{{Inherited, 
   Cell[
    TextData[{"\[Copyright]2006 David Bailey"}], "PageFooter"], Inherited}, {
  Inherited, 
   Cell[
    TextData[{"\[Copyright]2006 David Bailey"}], "PageFooter"], Inherited}},
PrivateNotebookOptions->{"ShortBoxForm"->False},
ShowCellBracket->True,
ShowSelection->True,
TaggingRules->{
 "ModificationHighlight" -> False, 
  "Metadata" -> {
   "context" -> "DebugTrace`", "keywords" -> {}, "index" -> True, "label" -> 
    "DebugTrace Package Paclet Symbol", "language" -> "en", "paclet" -> 
    "DebugTrace Package", "status" -> "", "summary" -> 
    "DTLocalValue[n] \[Dash] Returns the value of the most recently created \
local variable of the form n$<number>", "synonyms" -> {}, "title" -> 
    "DTLocalValue", "type" -> "Symbol", "uri" -> 
    "DebugTrace/ref/DTLocalValue"}, "SearchTextTranslated" -> "", 
  "SearchText" -> "", "LinkTrails" -> ""},
ShowCellLabel->False,
PrivateNotebookOptions -> {"NotebookAuthor" -> ""},
Magnification->1.,
FrontEndVersion->"7.0 for Microsoft Windows (64-bit) (February 18, 2009)",
StyleDefinitions->"HelpBrowser.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "Define\[Breve]Macro"->{
  Cell[579, 22, 677, 10, 85, "Chapter",
   CellTags->"Define\[Breve]Macro"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"Define\[Breve]Macro", 8693, 265}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[579, 22, 677, 10, 85, "Chapter",
 CellTags->"Define\[Breve]Macro"],
Cell[1259, 34, 369, 11, 23, "Text"],
Cell[1631, 47, 204, 5, 23, "Text"],
Cell[CellGroupData[{
Cell[1860, 56, 459, 13, 27, "Input"],
Cell[2322, 71, 615, 18, 37, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2974, 94, 192, 5, 27, "Input"],
Cell[3169, 101, 965, 17, 34, "Message"],
Cell[4137, 120, 734, 21, 37, "Output"]
}, Open  ]],
Cell[4886, 144, 221, 5, 23, "Text"],
Cell[CellGroupData[{
Cell[5132, 153, 146, 3, 27, "Input"],
Cell[5281, 158, 466, 15, 25, "Output"]
}, Open  ]],
Cell[5762, 176, 152, 3, 23, "Text"],
Cell[CellGroupData[{
Cell[5939, 183, 395, 12, 48, "Input"],
Cell[6337, 197, 615, 18, 37, "Output"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
